$(document).ready(function () {
    $('.list li').each(function () {
        if ($(this).text().trim() == productName.trim()) {
            $(this).children().addClass('productAvtive')
        }
    })


    getProdArea()
    if (productType == 1) {

        getProdAttribute()

        getProdSkus()
    }


    getProdComments(1)

    $('.service ul li').click(function () {
        $($(this)).addClass('liActive')
        $($(this)).siblings('li').removeClass('liActive')
        var index = $(this).index()
        $(this)
            .parent()
            .children()
            .each(function () {
                $this = $(this)
                if ($this.index() == index) {
                    $this
                        .siblings()
                        .children()
                        .each(function () {
                            $(this).removeClass('aActive')
                        })
                    $this.children().addClass('aActive')
                }
            })
        scrollBar()
        $('html, body').animate(
            {scrollTop: scrollBarArr[index] - 80 + 'px'},
            100
        )
        return false //不要这句会有点卡顿
    })

    $(function () {
        $(window).scroll(function () {
            if ($(window).scrollTop() > 1370) {
                $(".service ul").css({
                    "position": "fixed",
                    "top": 0,
                    "z-index": 999,
                    "background": "#fff",
                    "width": "898px"
                });
            } else {
                $(".service ul").css({"position": "static"});
            }
        });
    });

    $('.dialog').click(function () {
        $('.dialog').css('display', 'none')
    })
    $('.modalDialog').click(function (e) {
        //这个是弹出层的样式class
        e.stopPropagation() //阻止冒泡
    })

    $('.pkUp').click(function () {
        $(this).css('display', 'none')
        $('.pkAn').css('display', 'inline-block')
        $('.list').css('overflow', 'hidden', 1000)
        $('.nav').css('paddingBottom', 0)
    })
    $('.pkAn').click(function () {
        $(this).css('display', 'none')
        $('.pkUp').css('display', 'inline-block')
        $('.list').css('overflow', 'inherit', 1000)
        $('.nav').css('paddingBottom', 10)
    })
    $('.degreeList li').click(function () {
        $(this).addClass('listActive')
        $(this).siblings('li').removeClass('listActive')
    })
    $('.imgList li').click(function () {
        $(this).addClass('imgActive')
        $(this).siblings('li').removeClass('imgActive')
        // console.log()
        var bigImgUrl = $(this).children().attr('src')
        $('.bigImg img').attr('src', bigImgUrl)
    })
    //点击立即下单
    $('.btnFirSub').click(function () {
        submitOrder()
    })
})

var selectSku
var areaMsg
var globalSkus
var globalAttributes
var myPagination
var total
var scrollBarArr = []

function scrollBar() {
    let els = document.querySelectorAll('.scrollBar')
    for (var i = 0; i < els.length; i++) {
        scrollBarArr.push(els[i].offsetTop)
    }
}


function submitOrder() {
    if (!areaMsg) {
        $('.areaErrMsg').show()
        return
    }
    if (!selectSku && areaMsg) {
        //当只是选中了地域，可以看看是否能命中sku
        globalSkus.forEach(function (sku) {
            if (sku.areaName == areaMsg) {
                // 找出服务地域相同的sku去做属性筛选
                var skuAttributes = sku.attributeItemList
                if (skuAttributes == undefined || skuAttributes.length == 0) {
                    selectSku = sku
                }
            }
        })
    }
    if (selectSku) {
        addOrder()
    } else {
        var selAttributeMap = mapDomAttr() // 已经选择的sku属性map
        //TODO 通过用户选择属性的情况，把已经选择的属性和值，放到map集合里
        var unSelAttributeMap = new Map() // 没有选择的sku属性map
        globalAttributes.forEach(function (item) {
            if (!selAttributeMap.has(item.attributeName)) {
                unSelAttributeMap.set(item.attributeName, new Set())
            }
        })
        globalSkus.forEach(function (sku) {
            if (sku.areaName == areaMsg) {
                // 找出服务地域相同的sku去做属性筛选
                var skuAttributes = sku.attributeItemList

                if (skuAttributes != undefined && skuAttributes.length > 0) {
                    // 遍历sku的属性集合，找出可选的属性值，加入到set集合中
                    var isMatch = true //当前sku是否是匹配当前属性筛选条件
                    selAttributeMap.forEach(function (value, key) {
                        var hasSelAttr = false // 当前sku是否有选中的属性
                        skuAttributes.forEach(function (attr) {
                            // 判断该sku是否能满足已选属性条件
                            if (attr.attributeName == key) {
                                hasSelAttr = true
                                if (attr.attributeItemName != value) {
                                    // 虽然有相同的筛选属性，但值不一样，不匹配
                                    isMatch = false
                                }
                            }
                        })
                        if (!hasSelAttr) {
                            // 当前sku没有满足筛选条件的属性，不匹配
                            isMatch = false
                        }
                    })

                    if (isMatch) {
                        // 是一个匹配筛选条件的sku
                        var bFullMatch = true // 当前sku的属性值是否完全匹配筛选条件
                        skuAttributes.forEach(function (attr) {
                            if (!selAttributeMap.has(attr.attributeName)) {
                                // sku中的属性，不在筛选条件中，不满足完全匹配，但该sku的属性值，可以当成候选筛选条件
                                bFullMatch = false
                                var attrSet = unSelAttributeMap.get(
                                    attr.attributeName
                                )
                                // debugger
                                attrSet.add(attr.attributeItemName)
                                unSelAttributeMap.set(
                                    attr.attributeName,
                                    attrSet
                                )
                            }
                        })
                        if (bFullMatch) {
                            selectSku = sku
                        }
                    }
                }
            }
        })
        let unSelSku = []
        unSelAttributeMap.forEach(function (value, key) {
            if (value.size > 0) {
                unSelSku.push(key)
            }
        })
        $('.skuErrMsg').html('请选择' + unSelSku.join('/'))
        $('.skuErrMsg').show()
    }
}

//跳转自助下单页
$("#prodeButton").click(function () {
    if (productCode == 'sbzzsq') {
        if (!getCookie('IBOSS-WEB-TOEKN')) {
            $('.homelogin').css('display', 'block')
            $('.login').css('display', 'flex')
            return
        }
    }
    window.location.href = '/trademarkPurchase-' + productId + '.html'
})


$('#consulTation').click(function () {
    window.open('https://swt.gongsibao.com/LR/Chatpre.aspx?id=MGF22027130')
})

//模态框的弹出
$('.consultation').click(function () {
    if (!getCookie('IBOSS-WEB-TOEKN')) {
        $('.login').css('display', 'flex')
        $('.homelogin').css('display', 'block')
        $('.dialog').css('display', 'none')
    } else {
        if (productType == 1) {
            if (!areaMsg) {
                $('.areaErrMsg').show()
                return
            } else {
                $('.dialog').css('display', 'block')
                $('.modalDialog').css('display', 'block')
                $('.modalDialogs').css('display', 'none')
                //提交申请
                // console.log($('.fruit').prop('checked'))
            }
        } else {
            $('.dialog').css('display', 'block')
            $('.modalDialog').css('display', 'block')
            $('.modalDialogs').css('display', 'none')
        }
    }
})

$('.subAppli').click(function () {
    $('.Otherwise').css('display', 'none')
    if ($('.fruit').prop('checked') == true) {
        $('.loading').fadeIn()
        $('.Otherwise').css('display', 'none')
        $('.loading').fadeIn()
        let params = {
            area: areaMsg || '',
            yfProductId: yfProductId,
            prodName: productName,
            productId: productId,
            clientId: 1,
            deviceToken: getCookie('ka_uid')
        }
        gsb_trcker.trace({
            name: "product_leads",
            prodName: productName,
            clientId: 1,
            deviceToken: getCookie('ka_uid')
        });
        ajax({
            url: '/api/product/consulting',
            type: 'post',
            data: JSON.stringify(params),
            callback: function (data) {
                // let res = JSON.parse(data)
                let res = data
                $('.commitSuccess').text("提交成功")
                $('.modalDialog').css('display', 'none')
                $('.modalDialogs').css('display', 'flex')
                $('.loading').fadeOut()
            },
            callother: function () {
                $('.commitSuccess').text('系统繁忙')
                $('.modalDialog').css('display', 'none')
                $('.modalDialogs').css('display', 'flex')
                $('.loading').fadeOut()
            },
            error: function () {
                $('.loading').fadeOut()
                $('.dialog').css('display', 'none')
                $('.loading').fadeOut()
            },
        })
    } else if ($('.fruit').prop('checked') == false) {
        $('.Otherwise').css('display', 'inline-block')
        $('.loading').fadeOut()
    }
})
$('.iKnow').click(function () {
    _GSB_DIALOG.hide();
})

//产品下单
function addOrder() {
    if ('sbzzsq' == productCode) {
        // 商标自助下单转其他流程
        if (!getCookie('IBOSS-WEB-TOEKN')) {
            $('.homelogin').css('display', 'block')
            $('.login').css('display', 'flex')
            return
        }
        window.location.href = '/trademarkPurchase-' + productId + '.html'
        return
    }
    let params = {
        productId,
        yfProductId,
        categoryId,
        amount: selectSku.price,
        notifyUrl: '',
        quantity: 1,
        remarks: '',
        yfArea: selectSku.areaName,
        yfSkuAttribute: selectSku.attributeItemList,
        yfSkuId: selectSku.id,
        productCode,
        prodName: productName,
        mainImg,
        yfMerchantId,
        merchantId
    }
    ajax({
        url: '/api/order/save/sku',
        type: 'post',
        contentType: 'application/json',
        data: JSON.stringify(params),
        callback: function (res) {
            if (res.code == 0) {
                window.location.href = '/order/' + res.data + '/settle.html'
                // $('.login_container_errmsg').hide()
            }
        },
    })
}

////////////////////////////////////////////////////////

//渲染级联选择
function randomTree(list, index) {
    let treeInner = ''
    treeInner = list
        .map(function (item) {
            if (index > 3) return
            return (
                '<li><span>' +
                item.name +
                '</span>' +
                (item.data && index < 3
                    ? "<i class='qrm-arrow-right'></i>"
                    : '') +
                (item.data && index <= 3
                    ? "<ul class='li-zi-" +
                    index +
                    "'style='display: none'>" +
                    randomTree(item.data, index + 1) +
                    '</ul>'
                    : '') +
                '</li>'
            )
        })
        .join(' ')
    return treeInner
}

//获取产品的评价并渲染数据
function getProdComments(pageNo) {
    var attrData = {
        productId,
        pageNo: pageNo,
    }
    ajax({
        url: gatewayUrl + '/base/product/comment/list',
        // url: '/api/product/comment/list',
        type: 'get',
        data: attrData,
        callback: function (res) {
            let data = res.data.list
            total = res.data.total
            $('.pTotal').text(total)
            if (!myPagination) myPagination = new Pagination({total: total})
            let evalCont_mian = ''
            if (data.length) {
                evalCont_mian = data
                    .map(function (item) {
                        return (
                            "<div class='evalCont' ><div class='discuss'><div class='profilePhoto'></div><p>" +
                            item.nickname +
                            "</p></div><div class='main'><div class='title'><div class='mainTit'><ul class='star' >   " +
                            addStart(item.score) +
                            "</ul><span class='starLevel'><s>" +
                            item.score +
                            "</s>分</span></div><div class='date'>" +
                            item.commentTime.slice(0, 10) +
                            "</div></div><div class='mainCont'><p>" +
                            item.content +
                            "</p></div><div class='mianFoot'><p class='mainAdd'>" +
                            item.productName +
                            "</p><p class='mainDate' >购买时间：" +
                            item.commentTime.slice(0, 10) +
                            '</p></div></div>   <hr/></div>'
                        )
                    })
                    .join(' ')
            } else {
                evalCont_mian =
                    "<div class='notdata'><img src='/images/productDetail/notdata.png' alt=''><p>当前服务暂无评价</p></div>"
                $('.evalTit hr').hide()
                $('.result_container_main_left_pagination').hide()
            }
            $('.evalCont_mian').html(evalCont_mian)
        }
    })
}

//渲染评价星星
function addStart(num) {
    let start = ''
    for (let i = 1; i <= 5; i++) {
        if (num >= i) {
            start +=
                "<li><span class='iconfont icon-Star' style='color:#FF6A00'></span></li>"
        } else {
            start += "<li><span class='iconfont icon-Star'></span></li>"
        }
    }
    return start
}

//获取产品的服务区域
function getProdArea() {
    var areaData = {
        yfProductId,
    }
    ajax({
        url: '/api/product/area',
        type: 'get',
        data: areaData,
        callback: function (res) {
            var data = res.data
            if (
                data &&
                data.length == 1 &&
                data[0].name == '大陆地区' &&
                data[0].data[0] &&
                data[0].data.length == 1 &&
                data[0].data[0].name == '大陆地区' &&
                data[0].data[0].data &&
                data[0].data[0].data[0].name == '大陆地区'
            ) {
                areaMsg =
                    data[0].name +
                    '-' +
                    data[0].data[0].name +
                    '-' +
                    data[0].data[0].data[0].name
            } else if (data.length == 0) {
                areaMsg = 11
            } else {
                $('.region').css('display', 'flex')
            }
            let treeInner = randomTree(data, 1)
            $('.qrm-lev-1').html(treeInner)
            clickQrmLev()
        },
    })
}

//获取产品的sku属性
function getProdAttribute() {
    var attrData = {
        yfProductId,
        area: '',
    }
    ajax({
        url: '/api/product/attribute',
        type: 'get',
        data: attrData,
        callback: function (res) {
            globalAttributes = res.data
            // globalAttributes = res.data.list
            let inner = ''
            //
            globalAttributes.forEach(function (item, index) {
                //TODO key为属性，value为可以选择的属性值set集合
                if (item.attributeItemList.length > 0) {
                    inner +=
                        "<div class='type'><span>" +
                        item.attributeName +
                        '</span><ul>'
                    item.attributeItemList.forEach(function (element) {
                        //element为可以选择的属性值
                        inner += '<li>' + element + '</li>'
                    })
                    inner += '</ul></div>'
                }
            })
            $('.prodTypeList').html(inner)
            clickSkuItem()
        },
    })
}

//获取产品所有sku属性
function getProdSkus() {
    var areaData = {
        yfProductId,
        yfMerchantId
    }
    ajax({
        url: '/api/product/skus',
        type: 'get',
        data: areaData,
        callback: function (res) {
            globalSkus = res.data
            if (globalSkus && globalSkus.length == 1) {
                $('.numPrice').text(globalSkus[0].price)
            }
            // globalSkus = res.data.list
            // if (globalSkus && globalSkus.length == 1) {
            //     //只有一个sku时，直接把产品价格修改为云服价格
            //     $('.numPrice').text(globalSkus[0].price)
            // }
            // globalSkus = skusRes.data.list
        },
    })
}

//服务地区选择器的值发生改变
function changeQrmInput(val) {
    $('.areaErrMsg').hide()
    areaMsg = val
    areaSelected(areaMsg)
}

//点击sku
function clickSkuItem() {
    $('.prodTypeList .type ul').on('click', 'li', function () {
        let type = $(this).attr('class')
        if (!areaMsg) {
            $('.areaErrMsg').show()
            return
        } else {
            $('.areaErrMsg').hide()
        }
        if (type == 'disabled') {
            return
        } else {
            if ($(this).attr('class') == 'actived') {
                $(this).removeClass('actived')
            } else {
                $(this).addClass('actived')
                $(this).siblings().removeClass('actived')
            }
            attributeSelected(areaMsg)
        }
    })
}

//ok
function areaSelected(area) {
    $('.numPrice').text(promotionPrice)
    $('.skuErrMsg').hide()
    if (globalSkus == undefined || globalAttributes == undefined) {
        return
    }
    selectSku = undefined
    var unSelAttributeMap = new Map() // 没有选择的sku属性map
    globalAttributes.forEach(function (item, idnex, array) {
        unSelAttributeMap.set(item.attributeName, new Set())
    })
    //遍历产品下的所有sku
    globalSkus.forEach(function (sku) {
        if (sku.areaName == area) {
            // 找出服务地域相同的sku去做属性筛选
            var skuAttributes = sku.attributeItemList
            if (skuAttributes != undefined && skuAttributes.length > 0) {
                //遍历sku的属性集合，找出可选的属性值，加入到set集合中
                skuAttributes.forEach(function (attr) {
                    var attrSet = unSelAttributeMap.get(attr.attributeName)
                    attrSet.add(attr.attributeItemName)
                    unSelAttributeMap.set(attr.attributeName, attrSet)
                })
            } else {
                selectSku = sku
            }
        }
    })
    if (selectSku != undefined) {
        // 完全匹配筛选条件的sku，下单按钮变为可用状态
        // console.log('按钮可用')
        $('.numPrice').text(selectSku.price)
    }
    $('.prodTypeList')
        .children()
        .each(function () {
            //遍历map
            let domVal = $(this).children().eq(0).text().trim()
            let domUl = $(this).children().eq(1)
            $(domUl)
                .children()
                .each(function () {
                    $(this).removeClass()
                    $(this).addClass('disabled')
                })
            unSelAttributeMap.forEach(function (value, key) {
                if (value.size != 0) {
                    value.forEach(function (element) {
                        if (key == domVal) {
                            $(domUl)
                                .children()
                                .each(function () {
                                    if ($(this).text().trim() == element) {
                                        $(this).removeAttr('class')
                                    }
                                })
                        }
                    })
                }
            })
        })
}

//筛选sku
function attributeSelected(area) {
    // $('.numPrice').text(promotionPrice)
    $('.skuErrMsg').hide()
    if (globalSkus == undefined || globalAttributes == undefined) {
        return
    }

    var selAttributeMap = mapDomAttr() // 已经选择的sku属性map
    selectSku = undefined
    //TODO 通过用户选择属性的情况，把已经选择的属性和值，放到map集合里
    var unSelAttributeMap = new Map() // 没有选择的sku属性map
    globalAttributes.forEach(function (item) {

        if (!selAttributeMap.has(item.attributeName)) {
            unSelAttributeMap.set(item.attributeName, new Set())
        }
    })
    //遍历产品下的所有sku

    globalSkus.forEach(function (sku) {
        if (sku.areaName == area) {
            // 找出服务地域相同的sku去做属性筛选
            var skuAttributes = sku.attributeItemList
            if (skuAttributes != undefined && skuAttributes.length > 0) {
                // 遍历sku的属性集合，找出可选的属性值，加入到set集合中
                var isMatch = true //当前sku是否是匹配当前属性筛选条件
                selAttributeMap.forEach(function (value, key) {
                    var hasSelAttr = false // 当前sku是否有选中的属性
                    skuAttributes.forEach(function (attr) {
                        // 判断该sku是否能满足已选属性条件
                        if (attr.attributeName == key) {
                            hasSelAttr = true
                            if (attr.attributeItemName != value) {
                                // 虽然有相同的筛选属性，但值不一样，不匹配
                                isMatch = false
                            }
                        }
                    })
                    if (!hasSelAttr) {
                        // 当前sku没有满足筛选条件的属性，不匹配
                        isMatch = false
                    }
                })

                if (isMatch) {
                    // 是一个匹配筛选条件的sku
                    var bFullMatch = true // 当前sku的属性值是否完全匹配筛选条件
                    skuAttributes.forEach(function (attr) {
                        if (!selAttributeMap.has(attr.attributeName)) {
                            // sku中的属性，不在筛选条件中，不满足完全匹配，但该sku的属性值，可以当成候选筛选条件
                            bFullMatch = false
                            var attrSet = unSelAttributeMap.get(
                                attr.attributeName
                            )
                            // debugger
                            attrSet.add(attr.attributeItemName)
                            unSelAttributeMap.set(attr.attributeName, attrSet)
                        }
                    })
                    if (bFullMatch) {
                        selectSku = sku
                    }
                }
            }
        }
    })
    ////////////////////
    if (selectSku != undefined) {
        // 完全匹配筛选条件的sku，下单按钮变为可用状态
        $('.numPrice').text(selectSku.price)
    } else {
    }
    var myselfAttributeMap = new Map()
    selAttributeMap.forEach(function (value, key) {
        var attrSet = checkMyself(key, area, selAttributeMap)
        myselfAttributeMap.set(key, attrSet)
    })

    //遍历map
    $('.prodTypeList')
        .children()
        .each(function () {
            //遍历map
            let domVal = $(this).children().eq(0).text().trim()
            let domUl = $(this).children().eq(1)
            if (unSelAttributeMap.has(domVal)) {
                $(domUl)
                    .children()
                    .each(function () {
                        $(this).removeAttr('class')
                        $(this).addClass('disabled')
                    })
            } else {
                $(domUl)
                    .children()
                    .each(function () {
                        if (!$(this).hasClass('actived')) {
                            $(this).removeAttr('class')
                            $(this).addClass('disabled')
                        }
                    })
            }
            unSelAttributeMap.forEach(function (value, key) {
                //TODO key为属性，value为可以选择的属性值set集合
                if (value.size != 0) {
                    value.forEach(function (element) {
                        if (key == domVal) {
                            $(domUl)
                                .children()
                                .each(function () {
                                    if ($(this).text().trim() == element) {
                                        $(this).removeAttr('class')
                                    }
                                })
                        }
                    })
                } else {
                    $(domUl)
                        .children()
                        .each(function () {
                            if (domVal == key) {
                                $(this).removeAttr('class')
                                $(this).addClass('disabled')
                            }
                        })
                }
            })
            myselfAttributeMap.forEach(function (value, key) {
                //TODO key为属性，value为可以选择的属性值set集合
                if (value.size != 0) {
                    value.forEach(function (element) {
                        if (key == domVal) {
                            $(domUl)
                                .children()
                                .each(function () {
                                    if (
                                        $(this).text().trim() == element &&
                                        !$(this).hasClass('actived')
                                    ) {
                                        $(this).removeAttr('class')
                                    }
                                })
                        }
                    })
                } else {
                    // $(domUl)
                    // 	.children()
                    // 	.each(function () {
                    // 		if (domVal == key) {
                    // 			$(this).removeAttr('class')
                    // 			$(this).addClass('disabled')
                    // 		}
                    // 	})
                }
            })
        })
    // $('.prodTypeList')
    // 	.children()
    // 	.each(function () {

    //     })
}

function checkMyself(curAttr, area, selAttributeMap) {
    var attrSet = new Set()
    globalSkus.forEach(function (sku) {
        if (sku.areaName == area) {
            // 找出服务地域相同的sku去做属性筛选
            var skuAttributes = sku.attributeItemList

            if (skuAttributes != undefined && skuAttributes.length > 0) {
                // 遍历sku的属性集合，找出可选的属性值，加入到set集合中
                var isMatch = true //当前sku是否是匹配当前属性筛选条件
                selAttributeMap.forEach(function (value, key) {
                    if (key != curAttr) {
                        var hasSelAttr = false // 当前sku是否有选中的属性
                        skuAttributes.forEach(function (attr) {
                            // 判断该sku是否能满足已选属性条件
                            if (attr.attributeName == key) {
                                hasSelAttr = true
                                if (attr.attributeItemName != value) {
                                    // 虽然有相同的筛选属性，但值不一样，不匹配
                                    isMatch = false
                                }
                            }
                        })
                        if (!hasSelAttr) {
                            // 当前sku没有满足筛选条件的属性，不匹配
                            isMatch = false
                        }
                    }
                })

                if (isMatch) {
                    // 是一个匹配筛选条件的sku
                    var bFullMatch = true // 当前sku的属性值是否完全匹配筛选条件
                    skuAttributes.forEach(function (attr) {
                        if (attr.attributeName == curAttr) {
                            attrSet.add(attr.attributeItemName)
                        }
                    })
                }
            }
        }
    })
    return attrSet
}

//获取已选择sku
function mapDomAttr() {
    var selAttributeMap = new Map()
    $('.prodTypeList')
        .children()
        .each(function () {
            let key = $(this).children().eq(0).text().trim()
            $(this)
                .children()
                .eq(1)
                .children()
                .each(function () {
                    if ($(this).attr('class') == 'actived') {
                        selAttributeMap.set(key, $(this).text().trim())
                    }
                })
        })
    return selAttributeMap
}

//绑定级联下拉事件
function clickQrmLev() {
    //第一层
    var lev1
    var lev2
    var lev3
    var lev4
    //第一层 事件代理
    $('body').on('click', '.qrm-lev-1>li', function () {
        //控制背景颜色高亮
        $(this).addClass('active').siblings('li').removeClass('active')
        // 先将input中的值置空
        lev1 = ''
        lev2 = ''
        lev3 = ''
        lev4 = ''
        // 获取当前点击的li的子元素的HTML节点 将获取的节点放到页面显示的第二级中
        var html1 = $(this).children('.li-zi-1').html()
        $('.qrm-lev-2').html(html1)
        $('.qrm-border2').show()
        $('.qrm-border3').hide()
        $('.qrm-lev-3').html('')
        //获取当前点击的li的span中的值 将值传到input中
        lev1 = $(this).children('span').html()
        // console.log(lev1, 'html3')
        if ($(this).children('.li-zi-1').html() == undefined) {
            lev1 = $(this).children('span').html()
            $('.qrm-input').val(lev1)
            $('.qrm-border1').hide()
            $('.qrm-border2').hide()
            $('.qrm-border3').hide()
            $('.qrm-pinming').css(
                'background-image',
                'url(../../images/SmartTools/qrm-arrow-down.png)'
            )
            changeQrmInput(lev1)
        }
    })
    //第二层 事件代理

    $('body').on('click', '.qrm-lev-2>li', function () {
        $(this).addClass('active').siblings('li').removeClass('active')
        if ($(this).children('.li-zi-2').html() == undefined) {
            lev2 = $(this).children('span').html()
            $('.qrm-input').val(lev1 + '/' + lev2)
            $('.qrm-border1').hide()
            $('.qrm-border2').hide()
            $('.qrm-border3').hide()
            $('.qrm-pinming').css(
                'background-image',
                'url(../../images/SmartTools/qrm-arrow-down.png)'
            )
            changeQrmInput(lev1 + '-' + lev2)
        } else {
            var html2 = $(this).children('.li-zi-2').html()
            lev2 = $(this).children('span').html()
            $('.qrm-border3').show()
            $('.qrm-lev-3').html(html2)
        }
        if (
            $(this).parent().parent().next().children('.qrm-lev').html() == ''
        ) {
            // 去掉输入框的高亮状态
            $('.qrm-border1').hide()
            $('.qrm-border2').hide()
            $('.qrm-border3').hide()
            $('.qrm-pinming').css(
                'background-image',
                'url(../../images/SmartTools/qrm-arrow-down.png)'
            )
        }
    })
    //第三层 事件代理
    $('body').on('click', '.qrm-lev-3>li', function () {
        $(this).addClass('active').siblings('li').removeClass('active')
        var html3 = $(this).children('.li-zi-3').html()
        lev3 = $(this).children('span').html()
        $('.qrm-input').val(lev1 + '/' + lev2 + '/' + lev3)
        $('.qrm-border1').hide()
        $('.qrm-border2').hide()
        $('.qrm-border3').hide()
        $('.qrm-pinming').css(
            'background-image',
            'url(../../images/SmartTools/qrm-arrow-down.png)'
        )
        changeQrmInput(lev1 + '-' + lev2 + '-' + lev3)
        if (
            $(this).parent().parent().next().children('.qrm-lev').html() == ''
        ) {
            // 去掉输入框的高亮状态
            $('.qrm-input').val(lev1 + '/' + lev2)

            $('.qrm-border1').hide()
            $('.qrm-border2').hide()
            $('.qrm-border3').hide()
            $('.qrm-pinming').css(
                'background-image',
                'url(../../images/SmartTools/qrm-arrow-down.png)'
            )
        }
    })
}

function Pagination(params) {
    this.searchKey = params.searchKey || ''
    this.el = params.el || '.result_container_main_left_pagination ul'
    this.pageSize = params.pageSize || 10
    this.pageNum = params.pageNum || 1
    this.total = params.total || 0
    this.pageSum = Math.ceil(this.total / this.pageSize)
    this.leftIcon =
        params.leftIcon || '<i class="iconfont icon-arrow-left"></i>'
    this.rightIcon =
        params.rightIcon || '<i class="iconfont icon-arrow-right"></i>'
    this.rendomPaginat()
    this.clickPagination()
}

/**
 * 设置Pagination格式
 * @return {Array}
 */
Pagination.prototype.setPagination = function () {
    let arr = []
    if (this.pageSum == 0) {
        arr = []
    } else if (this.pageSum > 5) {
        if (this.pageNum <= 4) {
            arr.push(this.leftIcon)
            for (var i = 1; i <= 5; i++) {
                arr.push(i)
            }
            arr.push('···')
            arr.push(this.rightIcon)
        } else if (this.pageNum > 4 && this.pageNum < this.pageSum - 3) {
            arr = [
                this.leftIcon,
                '···',
                this.pageNum - 2,
                this.pageNum - 1,
                this.pageNum,
                this.pageNum * 1 + 1,
                this.pageNum * 1 + 2,
                '···',
                this.rightIcon,
            ]
        } else if (this.pageNum >= this.pageSum - 3) {
            arr.push(this.leftIcon)
            arr.push('···')
            for (var i = this.pageSum - 5; i <= this.pageSum; i++) {
                arr.push(i)
            }
            arr.push(this.rightIcon)
        }
    } else {
        arr.push(this.leftIcon)
        for (var i = 1; i <= this.pageSum; i++) {
            arr.push(i)
        }
        arr.push(this.rightIcon)
    }
    return arr
}

/**
 * 点击分页选项
 */
Pagination.prototype.clickPagination = function () {
    let that = this
    $(this.el).on('click', 'li', function () {
        let current = Number($(this).html())
        if (!isNaN(current)) {
            if (that.pageNum != current) {
                that.pageNum = current
                that.rendomPaginat()
                //请求分页数据
                getProdComments(that.pageNum)
            }
        } else {
            let type = $(this).attr('data-type')
            if (type == 'left') {
                if (that.pageNum <= 1) {
                    return
                } else {
                    that.pageNum--
                }
            } else if (type == 'right') {
                if (that.pageNum >= that.pageSum) {
                    return
                } else {
                    that.pageNum++
                }
            } else {
                return
            }
            that.rendomPaginat()
            //请求分页数据
            getProdComments(that.pageNum)
        }
    })
}

/**
 * 渲染分页组件
 * @return {document}
 */
Pagination.prototype.rendomPaginat = function () {
    let paginationList = this.setPagination()
    let that = this
    let paginationInner = paginationList
        .map(function (item, index) {
            if (index == 0) {
                return "<li data-type='left'>" + item + '</li>'
            } else if (index == paginationList.length - 1) {
                return "<li data-type='right'>" + item + '</li>'
            } else {
                return (
                    "<li class='" +
                    (that.pageNum == item ? 'actived' : '') +
                    "'>" +
                    item +
                    '</li>'
                )
            }
        })
        .join(' ')
    $(this.el).html(paginationInner)
    return paginationInner
}


// 立即下单埋点
$('body').on('click', '.btnFirSub', function () {
    if (!selectSku) {
        return
    }
    let eN = 'detail_order_place'
    let obj = JSON.parse(this.dataset.data)
    let productPrice = $('div.price h2:eq(1)').text()
    let param = {
        product_name: obj.prodName,
        product_id: obj.productId,
        product_price: productPrice,
        product_sku: window.selectSku._id,
    }
    window.zhuge.track(eN, param)
})

// 在线咨询埋点
$('body').on('click', '.consultation', function () {
    let eN = 'detail_advice_online'
    let obj = $('.btnFirSub').attr('data-data')
    let param = {
        product_name: obj.prodName,
        product_id: obj.productId,
    }
    window.zhuge.track(eN, param)
})

// 产品切换埋点
$('body').on('click', 'ul.list', function (e) {
    if (e.target.tagName === 'A') {
        let eN = 'detail_product_switch'
        let param = {
            product_name: e.target.innerText,
        }
        window.zhuge.track(eN, param)
    }
})

var favoriteId = $('#collectStar').attr('favorite-id')
$('#enjoy').click(function () {
    if (!getCookie('IBOSS-WEB-TOEKN')) {
        $('.homelogin').css('display', 'block')
        $('.login').css('display', 'flex')
    } else {

        var prodId = $('#collectStar').attr('product-id').trim()
        if ($('#collectStar').hasClass('iconActive')) {
            var queryData = {
                favoriteId: favoriteId,
            }
            // 已收藏,点击取消
            ajax({
                url: gatewayUrl + '/base/forceAuth/favorite/cancel',
                type: 'POST',
                contentType: 'application/json',
                data: JSON.stringify(queryData),
                callback: function (data) {
                    // console.log('product/productDetail.js------/favorite/cancel')
                    var tmpObj = data
                    if (
                        tmpObj.code == '-401' ||
                        tmpObj.code == '-402' ||
                        tmpObj.code == '-403'
                    ) {
                        $('.homelogin').css('display', 'flex')
                        $('.login').css('display', 'flex')
                        $('.loading').fadeOut()
                        getImgCode()
                        return
                    }
                    if (tmpObj.code == 0) {
                        $('#collectStar').removeClass('iconActive')
                        $('.ModalCanel').css('display', 'block')
                        $('#collectText').text('收藏商品')
                        // console.log($("#persionNum").text().trim())
                        var tmpNum = Number($('#persionNum').text()) - 1
                        $('#persionNum').text(tmpNum)
                        setTimeout(function () {
                            $('.ModalCanel').css('display', 'none')
                        }, 1000)
                    }
                },
            })
        } else {
            var queryData = {
                targetId: prodId,
                targetType: 'product',
                remarks: '',
            }
            // 未收藏，点击收藏
            ajax({
                url: gatewayUrl + '/base/forceAuth/favorite/add',
                type: 'post',
                data: JSON.stringify(queryData),
                callback: function (data) {
                    // console.log('product/productDetail.js------/favorite/add')
                    var tmpObj = data
                    if (
                        tmpObj.code == '-401' ||
                        tmpObj.code == '-402' ||
                        tmpObj.code == '-403'
                    ) {
                        $('.homelogin').css('display', 'flex')
                        $('.login').css('display', 'flex')
                        $('.loading').fadeOut()
                        getImgCode()
                        return
                    }
                    if (tmpObj.code == 0) {
                        $('#collectStar').addClass('iconActive')
                        $('.ModalCollect').css('display', 'block')
                        $('#collectText').text('已收藏商品')
                        var tmpNum = Number($('#persionNum').text()) + 1
                        $('#persionNum').text(tmpNum)
                        favoriteId = tmpObj.data.favoriteId
                        setTimeout(function () {
                            $('.ModalCollect').css('display', 'none')
                        }, 1000)
                    }
                }
            })
        }
    }
})
